OpenShot Audio Library | OpenShotAudio: juce::AudioData::Int24in32 Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::AudioData::Int24in32 Class Reference

`#include <juce_AudioDataConverters.h>`

Inherits juce::AudioData::Int32.

## Public Types
enum | { bytesPerSample = 4 , maxValue = 0x7fffff , resolution = (1 << 8) , isFloat = 0 }

## Public Member Functions
| Int24in32 (void *d) noexcept
float | getAsFloatLE () const noexcept
float | getAsFloatBE () const noexcept
void | setAsFloatLE (float newValue) noexcept
void | setAsFloatBE (float newValue) noexcept
int32 | getAsInt32LE () const noexcept
int32 | getAsInt32BE () const noexcept
void | setAsInt32LE (int32 newValue) noexcept
void | setAsInt32BE (int32 newValue) noexcept
template<class SourceType >
void | copyFromLE (SourceType &source) noexcept
template<class SourceType >
void | copyFromBE (SourceType &source) noexcept
void | copyFromSameType (Int24in32 &source) noexcept

## Detailed Description

A 32-bit integer type, of which only the bottom 24 bits are used.

Definition at line 224 of file juce_AudioDataConverters.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Definition at line 241 of file juce_AudioDataConverters.h.

## Constructor & Destructor Documentation

## ◆ Int24in32()

juce::AudioData::Int24in32::Int24in32 | ( | void * | d | ) |
| inlinenoexcept

Definition at line 227 of file juce_AudioDataConverters.h.

## Member Function Documentation

## ◆ copyFromBE()

template<class SourceType >

void juce::AudioData::Int24in32::copyFromBE | ( | SourceType & | source | ) |
| inlinenoexcept

Definition at line 238 of file juce_AudioDataConverters.h.

## ◆ copyFromLE()

template<class SourceType >

void juce::AudioData::Int24in32::copyFromLE | ( | SourceType & | source | ) |
| inlinenoexcept

Definition at line 237 of file juce_AudioDataConverters.h.

## ◆ copyFromSameType()

void juce::AudioData::Int24in32::copyFromSameType | ( | Int24in32 & | source | ) |
| inlinenoexcept

Definition at line 239 of file juce_AudioDataConverters.h.

## ◆ getAsFloatBE()

float juce::AudioData::Int24in32::getAsFloatBE | ( |  | ) | const
| inlinenoexcept

Definition at line 230 of file juce_AudioDataConverters.h.

## ◆ getAsFloatLE()

float juce::AudioData::Int24in32::getAsFloatLE | ( |  | ) | const
| inlinenoexcept

Definition at line 229 of file juce_AudioDataConverters.h.

## ◆ getAsInt32BE()

int32 juce::AudioData::Int24in32::getAsInt32BE | ( |  | ) | const
| inlinenoexcept

Definition at line 234 of file juce_AudioDataConverters.h.

## ◆ getAsInt32LE()

int32 juce::AudioData::Int24in32::getAsInt32LE | ( |  | ) | const
| inlinenoexcept

Definition at line 233 of file juce_AudioDataConverters.h.

## ◆ setAsFloatBE()

void juce::AudioData::Int24in32::setAsFloatBE | ( | float | newValue | ) |
| inlinenoexcept

Definition at line 232 of file juce_AudioDataConverters.h.

## ◆ setAsFloatLE()

void juce::AudioData::Int24in32::setAsFloatLE | ( | float | newValue | ) |
| inlinenoexcept

Definition at line 231 of file juce_AudioDataConverters.h.

## ◆ setAsInt32BE()

void juce::AudioData::Int24in32::setAsInt32BE | ( | int32 | newValue | ) |
| inlinenoexcept

Definition at line 236 of file juce_AudioDataConverters.h.

## ◆ setAsInt32LE()

void juce::AudioData::Int24in32::setAsInt32LE | ( | int32 | newValue | ) |
| inlinenoexcept

Definition at line 235 of file juce_AudioDataConverters.h.

The documentation for this class was generated from the following file:

- juce_AudioDataConverters.h